<?php

declare(strict_types=1);

namespace Drupal\joinup_seo;

use Drupal\rdf_entity\RdfInterface;

/**
 * Interface for services that export RDF data using JSON.
 */
interface JoinupSeoExportHelperInterface {

  /**
   * Exports the given RDF entity as JSON ready to be encapsulated to <head>.
   *
   * @param \Drupal\rdf_entity\RdfInterface $entity
   *   The RDF entity to export.
   *
   * @return string
   *   The exported string.
   *
   * @throws \ML\JsonLD\Exception\JsonLdException
   *   If the entity cannot be serialized.
   */
  public function exportRdfEntityMetadata(RdfInterface $entity): string;

}
